class MemberInfo {
  final String? memberQrCode;
  final String memberId;
  final String phone;
  final String? memberCardId;
  final String name;
  final bool isActive;
  final int point;
  final int? tierPoint;
  final int? keepTierUntil;
  final int? accumulationFrom;
  final int? accumulationTo;
  final String? currentTierCode;
  final String? currentTierName;
  final int? currentTierMinPoint;
  final String? nextTierName;
  final int? nextTierMinPoint;
  final CardType? defaultCardType;

  MemberInfo({
    required this.memberQrCode,
    required this.memberId,
    required this.phone,
    required this.memberCardId,
    required this.name,
    required this.isActive,
    required this.point,
    required this.tierPoint,
    required this.keepTierUntil,
    required this.accumulationFrom,
    required this.accumulationTo,
    required this.currentTierCode,
    required this.currentTierName,
    required this.currentTierMinPoint,
    required this.nextTierName,
    required this.nextTierMinPoint,
    required this.defaultCardType,
  });
}

enum CardType { qr, memberCard }
