class LoyaltyConfiguration {
  final String url;
  final String bffUrl;
  final String merchantCode;
  final String clientId;
  final String iamAudience;
  final String linkMembershipUrl;
  final String registerMemberUrl;
  final bool allowLinkMembership;
  final bool allowRegisterMembership;
  final String? membershipCodeFormat;

  LoyaltyConfiguration({
    required this.url,
    required this.bffUrl,
    required this.merchantCode,
    required this.clientId,
    required this.iamAudience,
    required this.linkMembershipUrl,
    required this.registerMemberUrl,
    required this.allowLinkMembership,
    required this.allowRegisterMembership,
    required this.membershipCodeFormat,
  });
}
