class RegisterMemberRequest {
  final String phone;
  final String name;
  final String? address;
  final String? dateOfBirth;
  final String? email;
  final Gender? gender;
  final String? idCardNumber;
  final String? idCitizenNumber;
  final String? passportNumber;

  RegisterMemberRequest({
    required this.phone,
    required this.name,
    this.address,
    this.dateOfBirth,
    this.email,
    this.gender,
    this.idCardNumber,
    this.idCitizenNumber,
    this.passportNumber,
  });
}

enum Gender { female, male, none }
